import CONSTANTS from '@/services/constants.js'

export default {
  search(criteria, cb, errorCb) {
    axios
      .post("practice/search", {
        locatorKey: criteria.locatorKey,
        sessionId: window.ecpLocatorSessionId,
        miles: criteria.miles,
        latitude: criteria.latitude,
        longitude: criteria.longitude,
        insurance: criteria.insurance,
        isUltimateOffer: criteria.isUltimateOffer,
        filters: criteria.filters,
        skip: (criteria.page - 1) * CONSTANTS.PAGE_SIZE,
        limit: CONSTANTS.PAGE_SIZE,
        zipCode: criteria.zipCode
      }).then(cb).catch(errorCb)
  },

  geoCode(address, cb) {
    var geocoder = new google.maps.Geocoder();
    geocoder.geocode(
      {
        address: address
      },
      (results, status) => {
        if (status === google.maps.GeocoderStatus.OK) {
          let latitude = results[0].geometry.location.lat();
          let longitude = results[0].geometry.location.lng();
          
          //code for getting the postal code
          let postalCode = "";
          for(var i = 0; i < results[0].address_components.length; i++){
            if(results[0].address_components[i].types[0] == "postal_code"){
              postalCode = results[0].address_components[i].long_name;
            }
          }
          cb(google.maps.GeocoderStatus.OK, latitude, longitude, postalCode);
        } else {
          cb(status, 0);
        }
      }
    );
  }

}
