import Vue from "vue";


function practiceEventLabel(practiceItem) {
    return `${practiceItem.name}  | ${practiceItem.postalCode}`;
}

function searchEventLabel(searchCriteria) {
    return `miles:${searchCriteria.miles},insurance:${searchCriteria.insurance}`;
}

function translate(gaEvent) {
    return practiceEvent;
}

export default {
    data() {
        return {
            trackedEvents: {
                PHONE_NUMBER_CLICKED: { ga: 'call', loc: 'PHONE_NUMBER_CLICKED' },
                LANDING_PAGE_VIEWED: { ga: 'practice details', loc: 'LANDING_PAGE_VIEWED' },
                APPOINTMENT_REQUEST_SENT: { ga: 'request appointment', loc: null },
                HOURS_INFORMATION_VIEWED: { ga: 'view hours', loc: 'HOURS_INFORMATION_VIEWED' },
                GET_DIRECTIONS_CLICKED: { ga: 'get directions', loc: 'GET_DIRECTIONS_CLICKED' },
                IN_LIST_CLICKED: { ga: 'practice click', loc: 'IN_LIST_CLICKED' },
                IN_MAP_CLICKED: { ga: 'map click', loc: 'IN_MAP_CLICKED' },
                SEARCHRESULT_VIEWED: { ga: 'listed', loc: null },
                WEBSITE_CLICKED: { ga: 'website click', loc: 'WEBSITE_CLICKED' },
                BOOK_APPOINTMENT_CLICKED: { ga: 'book appointment', loc: 'BOOK_APPOINTMENT_CLICKED' },
                VIEW_OFFERS_CLICKED: { ga: 'view offers', loc: 'VIEW_OFFERS_CLICKED' },
            }
        };
    },
    methods: {
        recordPracticeEvent(event, practice) {
            Vue.$ga.event(Vue.config.LOCATOR_TENANT.LOCATOR_NAME, event.ga, practiceEventLabel(practice));

            if (event.loc) {
                axios.post("event", {
                    locatorKey: Vue.config.LOCATOR_TENANT.TENANT_KEY,
                    practiceIdentifier: practice.identifier,
                    type: event.loc,
                    sessionId: window.ecpLocatorSessionId
                });
            }
        },
        recordSearchEvent(criteria, resultCount) {
            Vue.$ga.event(
                Vue.config.LOCATOR_TENANT.LOCATOR_NAME,
                "search",
                searchEventLabel(criteria),
                resultCount
            );
        },
        recordNonPracticeEvent(gaEvent, label) {
            Vue.$ga.event(Vue.config.LOCATOR_TENANT.LOCATOR_NAME, gaEvent, label);
        }
    }


};
